<?php

namespace App\Tests\Controller;

use Symfony\Bundle\FrameworkBundle\Test\WebTestCase;

class LegalControllerTest extends WebTestCase
{
    public function testMentionsLegales(): void
    {
        $client = static::createClient();
        $client->request('GET', '/mentions-legales');

        self::assertResponseIsSuccessful();
    }

    public function testCgu(): void
    {
        $client = static::createClient();
        $client->request('GET', '/cgu');

        self::assertResponseIsSuccessful();
    }

    public function testCgv(): void
    {
        $client = static::createClient();
        $client->request('GET', '/cgv');

        self::assertResponseIsSuccessful();
    }

    public function testHosting(): void
    {
        $client = static::createClient();
        $client->request('GET', '/hebergement');

        self::assertResponseIsSuccessful();
    }

    public function testCookies(): void
    {
        $client = static::createClient();
        $client->request('GET', '/cookies');

        self::assertResponseIsSuccessful();
    }

    public function testRgpd(): void
    {
        $client = static::createClient();
        $client->request('GET', '/rgpd');

        self::assertResponseIsSuccessful();
    }

    public function testConformite(): void
    {
        $client = static::createClient();
        $client->request('GET', '/conformite');

        self::assertResponseIsSuccessful();
    }
}
